Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2844 - Cabletron E2100 Driver Doesn't Work
Summary: Cabletron E2100 Driver Doesn't Work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 19:54 UTC by casey
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description casey 1999-05-15 19:54:53 UTC
Upon an upgrade from 5.2->6.0 our development server no
longer has network access.  It has a Cabletron E2100 that
has served us well with RHL 5.0, 5.1, and 5.2.  Being a
development server, it can boot into multiple other OSes
all of which the NIC still works in.

The worst is that we get a Interrupt handler error followed
by a kernel panic if we try to bring the card up with ifup
eth0 with any tweaking to the ifcfg-eth0 file or changes to
the conf.modules file.

We could replace the 2100, but we have a number of other
RHL servers relying on this card that we'd like to upgrade
to 6.0

We compared the e2100.o module to the last few working
iterations, but didn't see what would be keeping the card
from working.  Also other ISA devices are working properly
(including SB-AWE64).

Have there been other reports of problems with this
hardware?     -Casey Lyon

Comment 1 Michael K. Johnson 1999-07-29 20:45:59 UTC
This appears to be the only report on the e2100 in bugzilla
at this time, more than two months later.

Comment 2 Michael K. Johnson 1999-08-28 19:58:59 UTC
Does this patch fix it?

--- drivers/net/e2100.c~	Sat Aug 28 20:37:02 1999
+++ drivers/net/e2100.c	Sat Aug 28 20:45:46 1999
@@ -75,7 +75,7 @@
 {
 	/* This is a little weird: set the shared memory window by doing a
 	   read.  The low address bits specify the starting page. */
-	mem_base[start_page];
+	readb(mem_base+start_page);
 	inb(port + E21_MEM_ENABLE);
 	outb(E21_MEM_ON, port + E21_MEM_ENABLE + E21_MEM_ON);
 }


Note You need to log in before you can comment on or make changes to this bug.